/********************************************************************
*	Fondamenti di Informatica - Operazioni di I/O con File testuali	*
********************************************************************/


#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#define NUM 200 /*numero di elementi*/


void main(void)
{
	FILE *hand;
	int i, num;
	float x, y;

	hand=fopen("dati.dat","w+"); //sovrascrivo il file se esiste
	num=50;
	fprintf(hand,"%d\n",num);
	for (i=1;i<num; i++)
	{
		x=i*0.3;
		y=sin(i*0.3)/i*0.3;
		fprintf(hand,"%f %f\n",x,y);
	}
	fclose(hand);
}



void main(void)
{
	char nome[]="dati.dat";
	FILE *hand;
	int i,  num;
	float vx[NUM], vy[NUM];

	hand=fopen(nome,"r+"); //apertura del file e verifica della sua presenza
	if (hand==NULL) return;
	fscanf(hand,"%d",&num);

	if (num>NUM)
	{
		printf("Vettore dati troppo lungo");
		fclose(hand);
		return;
	}

	/*lettura dei dati da file */
	for (i=0; i<num; i++)
		fscanf(hand, "%f %f", &(vx[i]), &(vy[i]));
	fclose(hand);
}